Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.exception
Class DefaultServiceExceptionStrategy

    java.lang.Object
      org.mule.exception.AbstractExceptionListener
          org.mule.exception.AbstractMessagingExceptionStrategy
              org.mule.exception.DefaultServiceExceptionStrategy

All Implemented Interfaces:
  MuleContextAware, MessagingExceptionHandler, Disposable, Initialisable

Direct Known Subclasses:
  CxfComponentExceptionStrategy

    public class DefaultServiceExceptionStrategy

extends AbstractMessagingExceptionStrategy

`DefaultServiceExceptionStrategy` is the default exception handler for components. The handler logs errors and will forward the message and exception to an exception endpointUri if one is set on this Exception strategy

Field Summary

Fields inherited from class org.mule.exception.AbstractExceptionListener
`commitTxFilter, enableNotifications, initialised, logger, messageProcessors, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultServiceExceptionStrategy()` Deprecated. Use DefaultServiceExceptionStrategy(MuleContext muleContext) instead
`DefaultServiceExceptionStrategy(MuleContext muleContext)`

Method Summary
`protected void` | `defaultHandler(Throwable t)`
`protected ServiceStatistics` | `getServiceStatistics()`
`protected void` | `logFatal(MuleMessage message, Throwable t)` Logs a fatal error message to the logging system.
`protected void` | `routeException(MuleMessage message, MessageProcessor target, Throwable t)` Routes the current exception to an error endpoint such as a Dead Letter Queue (jms) This method is only invoked if there is a MuleMessage available to dispatch.

Methods inherited from class org.mule.exception.AbstractMessagingExceptionStrategy
`handleException, handleLifecycleException, handleMessagingException, handleRoutingException, handleStandardException, messageFromContextIfAvailable`

Methods inherited from class org.mule.exception.AbstractExceptionListener
`addEndpoint, closeStream, createOutboundRouter, dispose, doInitialise, fireNotification, getCommitTxFilter, getExceptionType, getMessageProcessors, getMessageProcessors, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, removeMessageProcessor, rollbackTransaction, setCommitTxFilter, setEnableNotifications, setMessageProcessors, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServiceExceptionStrategy

    public DefaultServiceExceptionStrategy()

  Deprecated. Use DefaultServiceExceptionStrategy(MuleContext muleContext) instead

  For IoC only

### DefaultServiceExceptionStrategy

    public DefaultServiceExceptionStrategy(MuleContext muleContext)

Method Detail

### defaultHandler

    protected void defaultHandler(Throwable t)

  Overrides:
    `defaultHandler` in class `AbstractMessagingExceptionStrategy`

### logFatal

    protected void logFatal(MuleMessage message,
                            Throwable t)

  Description copied from class: `AbstractExceptionListener`
  Logs a fatal error message to the logging system. This should be used mostly if an error occurs in the exception listener itself. This implementation logs the the message itself to the logs if it is not null

  Overrides:
    `logFatal` in class `AbstractExceptionListener`
  Parameters:
    `message` - The MuleMessage currently being processed
    `t` - the fatal exception to log

### routeException

    protected void routeException(MuleMessage message,
                                  MessageProcessor target,
                                  Throwable t)

  Description copied from class: `AbstractExceptionListener`
  Routes the current exception to an error endpoint such as a Dead Letter Queue (jms) This method is only invoked if there is a MuleMessage available to dispatch. The message dispatched from this method will be an `ExceptionMessage` which contains the exception thrown the MuleMessage and any context information.

  Overrides:
    `routeException` in class `AbstractExceptionListener`
  Parameters:
    `message` - the MuleMessage being processed when the exception occurred
    `target` - optional; the endpoint being dispatched or received on when the error occurred. This is NOT the endpoint that the message will be disptched on and is only supplied to this method for logging purposes
    `t` - the exception thrown. This will be sent with the ExceptionMessage
  See Also:
    `ExceptionMessage`

### getServiceStatistics

    protected ServiceStatistics getServiceStatistics()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.